[PATCH] Remember to check ioops version in loaded module
[fio.git] / Makefile
1 CC      = gcc
2 CFLAGS  = -Wall -O2 -g -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
3 PROGS   = fio
4 SCRIPTS = fio_generate_plots
5
6 all: depend $(PROGS) $(SCRIPTS)
7         $(MAKE) -C engines
8
9 fio: fio.o ioengines.o init.o stat.o log.o time.o md5.o crc32.o
10         $(CC) $(CFLAGS) -o $@ $(filter %.o,$^) -lpthread -laio -lm -lrt -ldl
11
12 clean:
13         -rm -f *.o .depend cscope.out $(PROGS) engines/*.o
14
15 depend:
16         @$(CC) -MM $(ALL_CFLAGS) *.c 1> .depend
17
18 cscope:
19         @cscope -b
20
21 INSTALL = install
22 prefix = /usr/local
23 bindir = $(prefix)/bin
24 libdir = $(prefix)/lib/fio
25
26 install: $(PROGS) $(SCRIPTS)
27         $(INSTALL) -m755 -d $(DESTDIR)$(bindir)
28         $(INSTALL) $(PROGS) $(SCRIPTS) $(DESTDIR)$(bindir)
29         $(INSTALL) -m755 -d $(DESTDIR) $(libdir)
30         $(INSTALL) engines/*.o $(libdir)
31
32 ifneq ($(wildcard .depend),)
33 include .depend
34 endif